# react-agiletc-editor

基于 react 的 脑图编辑器

# 开发和运行

本项目使用 [create-react-app](https://github.com/facebook/create-react-app) 脚手架构建

UI 框架使用 [Ant Design](https://github.com/ant-design/ant-design)

将项目克隆到本地在根目录下执行

```
  npm install
  npm run dev
```

即可运行项目

# API

| 属性          | 说明                                                                                         | 类型             | 默认值                         |
| ------------- | -------------------------------------------------------------------------------------------- | ---------------- | ------------------------------ |
| progressShow  | 工具栏是否展示结果                                                                           | boolean          | false                          |
| readOnly      | 脑图是否可编辑                                                                               | boolean          | false                          |
| priority      | 优先级列表                                                                                   | Array            | [1, 2, 3]                      |
| tags          | 标签列表                                                                                     | Array            |                                |
| editorStyle   | 编辑器样式(高度等)                                                                           | object           |                                |
| toolbar       | 工具栏配置，包含字段：theme(Array)-主题，template(Array)-布局，noteTemplate(String)-备注模板 | object           |                                |
| toolbarCustom | toolbar 自定义操作                                                                           | object           | {title:'自定义',custom: null } |
| baseUrl       | 图片上传请求域名                                                                             | string           |                                |
| uploadUrl     | 图片上传请求接口                                                                             | string           |                                |
| wsUrl         | websocket 请求地址                                                                           | string           |                                |
| onSave        | 保存快捷键方法回调,回传脑图全部数据                                                          | Function(object) |                                |
| type          | 是否为只查看 xmind 数据,type 为 compare 时只读                                               | string           |                                |
